Are add-ons that are compatible with 6.4.12 automatically compatible with 7.0?

Our main worry with upgrading to JIRA Software is add-on compatibility. Most of the ones we have installed aren't listed as being 7.0-compatible in their Marketplace entries. Are they automatically compatible with 7.0 if they're compatible with 6.4.12, or should we wait?

2 answers

2 votes

Hi Pete!

Since JIRA has undergone lots of under-the-hood improvements, I'd recommend reaching out to each add-on's vendor (or support team) in order to ensure whether or not the add-on is fully compatible with JIRA 7 before upgrading.

--
Cheers!

Joao 

Jaoa is spot on - the answer is generally going to be "no, you need a new version" as well. If you've got lots of add-ons not yet flagged as 7 compatible, then it would be well worth waiting. Most vendors will be actively working on making them compatible. (For some of the more simple ones, they might actually need no work, but a good vendor won't change the flag to "ready for 7" until they have passed all the tests)

The JIRA 7 API is not backward compatible and there are few changes which do have a wide impact on lot of plugins. So, I would say the short answers is NOT, despite some of them could be compatible this would be the exception.

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Oct 09, 2018 in Jira Core

How to manage many similar workflows?

I have multiple projects that use variations of the same base workflow. The variations depend on the requirements of the project or issue type. The variations mostly come in the form of new statuses ...

394 views 6 0
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you